%define name	goggles
%define version	0.9.0
%define release %mkrel 2

Name: 	 	%{name}
Summary: 	DVD playing interface
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://www.fifthplanet.net/goggles.html
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ImageMagick
BuildRequires:	libfox-devel >= 1.4.0
BuildRequires:	libdxr3-devel libdvdcontrol-devel libmsgevents-devel
Requires:	ogle

%description
Goggles is a frontend for the Ogle DVD player. It supports all the features
that Ogle provides, including bookmarks, and adds automatic starting,
automatic bookmarks, a convenient preferences panel for setting keyboard
shortcuts, DXR3 settings, and language and country preferences.

%prep
%setup -q
perl -p -i -e "s/-O2/%optflags/g" build/config.linux

%build
./gb --with-xv=yes --with-dxr3=yes
										
%install
rm -rf $RPM_BUILD_ROOT
./gb install --package-root=%buildroot/%{_prefix}

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="Goggles" longtitle="DVD Player" section="Multimedia/Video" xdg="true"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-player.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Goggles
Comment=DVD Player
Exec=%{name}
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Multimedia-Video;AudioVideo;Video;Player;
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 icons/goggleslogosmall.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 icons/goggleslogosmall.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 icons/goggleslogosmall.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc ChangeLog desktop/*.pdf
%{_bindir}/*
%{_datadir}/%name
%{_datadir}/applications/mandriva*
#%{_datadir}/pixmaps/*
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Tue Aug  1 2006 Götz Waschk <waschk@mandriva.org> 0.9.0-2mdv2007.0
- xdg menu

* Mon Apr  3 2006 Austin Acton <austin@mandrake.org> 0.9.0-1mdk
- 0.9.0

* Thu Mar 31 2005 Austin Acton <austin@mandrake.org> 0.8.0-2mdk
- initial package
